package io.better.toutiao.enums;

import lombok.Getter;

/**
 * 广告计划-过滤已转化用户类型
 *
 * @author better create in 2019-05-06 17:50
 */
@Getter
public enum HideIfConverted {

    /**
     * 不过滤
     */
    NO_EXCLUDE,

    /**
     * 广告计划
     */
    AD,

    /**
     * 广告组
     */
    CAMPAIGN,

    /**
     * 广告账户
     */
    ADVERTISER,

    /**
     * APP
     */
    APP
}
