package io.better.toutiao.enums.audience;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 收集品牌
 *
 * @author better create in 2019-05-06 18:12
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum DeviceBrand {

    /**
     * 苹果
     */
    APPLE,

    /**
     * 华为
     */
    HUAWEI,

    /**
     * 小米
     */
    XIAOMI,

    /**
     * 三星
     */
    SAMSUNG,

    /**
     * OPPO
     */
    OPPO,

    /**
     * VIVO
     */
    VIVO,

    /**
     * 魅族
     */
    MEIZU,

    /**
     * 金立
     */
    GIONEE,

    /**
     * 酷派
     */
    COOLPAD,

    /**
     * 联想
     */
    LENOVO,

    /**
     * 乐视
     */
    LETV,

    /**
     * 中兴
     */
    ZTE,

    /**
     * 中国移动
     */
    CHINAMOBILE,

    /**
     * HTC
     */
    HTC,

    /**
     * 小辣椒
     */
    PEPPER,

    /**
     * 努比亚
     */
    NUBIA,

    /**
     * 海信
     */
    HISENSE,

    /**
     * 奇酷
     */
    QIKU,

    /**
     * TCL
     */
    TCL,

    /**
     * 索尼
     */
    SONY,

    /**
     * 锤子手机
     */
    SMARTISAN,

    /**
     * 360手机
     */
    THREE_SIX_ZERO("360"),

    /**
     * 一加手机
     */
    ONEPLUS,

    /**
     * LG
     */
    LG,

    /**
     * 摩托罗拉
     */
    MOTO,

    /**
     * 诺基亚
     */
    NOKIA,

    /**
     * 谷歌
     */
    GOOGLE;

    /**
     * 品牌
     */
    private String brand;
}
